GeoTessCPP 2.6.1 Software to facilitate storage and retrieval of 3D information about the Earth.

Loading...
Searching...
No Matches
geotess::CpuTimer Class Reference

Wall clock and cpu timing information. More...

`#include <CpuTimer.h>`

## Public Member Functions
| CpuTimer ()
void | initTimer ()
double | cpuTime ()
double | cpuTimeInit ()
double | realTime ()
double | realTimeInit ()

## Static Public Member Functions
static double | getCurrCPUTime ()
static double | getCurrRealTime ()
static string | elapsedTimeString (double tm)
static string | elapsedTimeStringFraction (double tm)
static string | elapsedTimeStringFractionAbbrvUnits (double tm)
static string | now ()

## Detailed Description

Wall clock and cpu timing information.

Manages real (wall clock) and cpu timing information and elapsed timing information.

Definition at line 64 of file CpuTimer.h.

## Constructor & Destructor Documentation

## ◆ CpuTimer()

geotess::CpuTimer::CpuTimer | ( |  | ) |

## Member Function Documentation

## ◆ cpuTime()

double geotess::CpuTimer::cpuTime | ( |  | ) |

## ◆ cpuTimeInit()

double geotess::CpuTimer::cpuTimeInit | ( |  | ) |

## ◆ elapsedTimeString()

string geotess::CpuTimer::elapsedTimeString | ( | double | tm | ) |
| static

## ◆ elapsedTimeStringFraction()

string geotess::CpuTimer::elapsedTimeStringFraction | ( | double | tm | ) |
| static

## ◆ elapsedTimeStringFractionAbbrvUnits()

string geotess::CpuTimer::elapsedTimeStringFractionAbbrvUnits | ( | double | tm | ) |
| static

## ◆ getCurrCPUTime()

double geotess::CpuTimer::getCurrCPUTime | ( |  | ) |
| inline static

Returns the current CPU time in msec since process start.

Definition at line 87 of file CpuTimer.h.

## ◆ getCurrRealTime()

double geotess::CpuTimer::getCurrRealTime | ( |  | ) |
| inline static

Returns the current real time (wall clock) in msec since 1970.

Definition at line 93 of file CpuTimer.h.

## ◆ initTimer()

void geotess::CpuTimer::initTimer | ( |  | ) |

## ◆ now()

string geotess::CpuTimer::now | ( |  | ) |
| static

## ◆ realTime()

double geotess::CpuTimer::realTime | ( |  | ) |

## ◆ realTimeInit()

double geotess::CpuTimer::realTimeInit | ( |  | ) |

The documentation for this class was generated from the following file:

- rstt_v3.2.1/GeoTessCPP/include/CpuTimer.h